Skip to main content
GET
/
checkout
/
sessions
/
{id}
Retrieve a checkout session
curl --request GET \
  --url https://developersandbox-api.flutterwave.com/checkout/sessions/{id} \
  --header 'Authorization: Bearer <token>'
{
  "status": "success",
  "message": "<string>",
  "data": {
    "id": "<string>",
    "amount": 12.34,
    "currency": "NGN",
    "customer_id": "<string>",
    "checkout_url": "<string>",
    "redirect_url": "<string>",
    "reference": "<string>",
    "created_datetime": "2023-11-07T05:31:56Z",
    "max_retry_attempts": 3,
    "session_duration": 1442
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

X-Trace-Id
string

A unique identifier to track this operation. It must be between 12 and 255 characters in length.

Required string length: 12 - 255

Path Parameters

id
string
required

ID of the checkout session.

Response

OK

status
enum<string>
Available options:
success,
failed
message
string
data
object